#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    MThread = new MyThread();

    connect(MThread,SIGNAL(toInterfaseEND()),SLOT(fromMyThreadEND()));
}


void MainWindow::on_pushButton_clicked()
{
    MThread->start();
}


void MainWindow::fromMyThreadEND()
{
    ui->label_status->setText("Done");
}

MainWindow::~MainWindow()
{
    delete ui;
}
